Name:           perl-ConfigReader
Version:        0.5
Release:        12%{?dist}
Summary:        Read directives from a configuration file
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ConfigReader/
Source0:        http://www.cpan.org/modules/by-module/ConfigReader/ConfigReader-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  perl(ExtUtils::MakeMaker)

%description
The ConfigReader library is a set of classes which reads directives from a
configuration file. The library is completely object oriented, and it is
envisioned that parsers for new styles of configuration files can be
easily added.


%prep
%setup -q -n ConfigReader-%{version}


%build
pod2man ConfigReader.pod ConfigReader.3


%install
set -x
rm -rf %{buildroot}

install -m 644 -D DirectiveStyle.pm %{buildroot}%{perl_vendorlib}/ConfigReader/DirectiveStyle.pm
install -m 644 -D Spec.pm %{buildroot}%{perl_vendorlib}/ConfigReader/Spec.pm
install -m 644 -D Values.pm %{buildroot}%{perl_vendorlib}/ConfigReader/Values.pm
install -m 644 -D ConfigReader.3 %{buildroot}%{_mandir}/man3/ConfigReader.3

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING.LIB README
%{perl_vendorlib}/ConfigReader
%{_mandir}/man3/ConfigReader.3*


%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 0.5-11
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.5-9
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.5-7
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.5-6
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.5-5
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.5-2
Rebuild for new perl

* Wed Dec 13 2006 Andreas Thienemann <andreas@bawue.net> 0.5-1
- Specfile autogenerated by cpanspec 1.69.1.
- Major cleanups in the spec to make the package build.
